package com.example.as_trak.dialog;


import android.app.Dialog;
import android.content.Context;
import android.database.Observable;
import android.media.MediaPlayer;
import android.os.Vibrator;
import android.view.LayoutInflater;

import androidx.annotation.NonNull;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ObservableBoolean;
import androidx.databinding.ViewDataBinding;

import com.example.as_trak.R;
import com.example.as_trak.databinding.DialogTipBinding;

public class TipDialog extends Dialog {
    private MediaPlayer music;
    private MediaPlayer musicSuccess;
    private Vibrator vibrator;
    private ObservableBoolean state;
    private DialogTipBinding binding;

    public TipDialog(@NonNull Context context) {
        super(context, R.style.dialog_style);
        music = MediaPlayer.create(context, R.raw.error);
        musicSuccess = MediaPlayer.create(context, R.raw.success);
        vibrator = (Vibrator) context.getSystemService(Context.VIBRATOR_SERVICE);
        binding = DataBindingUtil.inflate(LayoutInflater.from(context), R.layout.dialog_tip, null, false);
        setContentView(binding.getRoot());
        state = new ObservableBoolean();
        setCanceledOnTouchOutside(false);
        binding.setState(state);
        binding.tipDialogOver.setOnClickListener(v -> dismiss());
    }


    public void showError(String msg) {
        super.show();
        music.start();
        vibrator.vibrate(500); // 震动1/2秒
        state.set(false);
        binding.toastMsg.setText(msg);
    }

    public void showSuccess(String msg) {
        super.show();
        musicSuccess.start();
        state.set(true);
        binding.toastMsg.setText(msg);
    }
}
